package com.widget.imagevideobanner.bean;

import android.content.Context;
import android.text.TextUtils;

import com.widget.imagevideobanner.R;
import com.widget.imagevideobanner.utils.ResourceUtils;

import java.io.Serializable;

/**
 * 资源类型
 */
public class MediaBean implements Serializable {

    public static final int TYPE_IMAGE = 0;//图片
    public static final int TYPE_VIDEO = 1;//视频

    private String url;
    //资源类型
    private int type;
    //视频的封面
    private String cover;

    private int width;
    private int height;
    private boolean looping;

    public MediaBean() { }

    public MediaBean(String url, int type, String cover, int width, int height) {
        this.url = url;
        this.type = type;
        this.cover = cover;
        this.width = width;
        this.height = height;
    }


    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }
    public boolean isLooping() {
        return looping;
    }

    public void setLooping(boolean looping) {
        this.looping = looping;
    }

    /**
     * 默认资源
     * @param context
     * @return
     */
    public static MediaBean getDefaultMedia(Context context){
        MediaBean mediaBean = new MediaBean();
        mediaBean.setType(TYPE_IMAGE);
        mediaBean.setUrl(ResourceUtils.imageTranslateUri(context, R.drawable.guide_defaut));
        mediaBean.setWidth(1080);
        mediaBean.setHeight(1186);
        return mediaBean;
    }


    @Override
    public boolean equals( Object obj) {
        if (!(obj instanceof MediaBean))
            return false;

        MediaBean mediaBean = (MediaBean) obj;
        return  type == mediaBean.type
                && width == mediaBean.width
                && height == mediaBean.height
                && TextUtils.equals(url, mediaBean.url)
                && TextUtils.equals(cover, mediaBean.cover);
    }

}
