package com.widget.imagevideobanner.view;

import android.content.Context;
import android.support.annotation.NonNull;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;

import com.bumptech.glide.Glide;
import com.shuyu.gsyvideoplayer.listener.GSYSampleCallBack;
import com.shuyu.gsyvideoplayer.video.GSYSampleADVideoPlayer;
import com.widget.imagevideobanner.R;
import com.widget.imagevideobanner.bean.MediaBean;
import com.widget.imagevideobanner.log.BLogUtil;
import com.widget.imagevideobanner.player.IPlayTarget;

public class VideoSubView extends FrameLayout implements IPlayTarget {

    private OnActionFinishListener mOnPageChangedListener;
    private SampleCoverVideo player;

    private final GSYSampleCallBack sampleCallBack = new GSYSampleCallBack(){
        @Override
        public void onAutoComplete(String url, Object... objects) {
            super.onAutoComplete(url, objects);
            BLogUtil.log("当前视频播放完毕，切换下一帧");
            if(null != mOnPageChangedListener){
                mOnPageChangedListener.next();
            }
        }
    };

    public VideoSubView(@NonNull Context context) {
        super(context);
    }

    public VideoSubView(@NonNull Context context, MediaBean mediaBean, final OnActionFinishListener onPageChangedListener) {
        super(context);
        mOnPageChangedListener = onPageChangedListener;
        View parent = LayoutInflater.from(context).inflate(R.layout.layout_player_view, this, true);
        player = parent.findViewById(R.id.player);
        player.getBackButton().setVisibility(View.GONE);
        player.setAutoFullWithSize(true);
        player.setVideoAllCallBack(sampleCallBack);
        player.loadCoverImage(mediaBean.getCover(),0);
        player.setUp(mediaBean.getUrl(), true, null);
        player.setLooping(mediaBean.isLooping());

    }

    @Override
    public void onActive() {
        BLogUtil.log("视频开始播放");
        player.startPlayLogic();
    }

    @Override
    public void inActive() {
        BLogUtil.log("视频暂停播放");
        try {
           player.onVideoReset();
        }catch (Throwable e){
            BLogUtil.log("停止视频播放出错 "+e.getLocalizedMessage());
        }
    }

}
